#!/bin/bash

set -eu -o pipefail

# configuration
CC="gcc"
LLC="llc"
WGET="wget -q --show-progress --progress=bar:force"
URL="https://prcsoft.net/pl3/rel/"
# end configuration

pkgs=(
  "1.0.0dev0"
)

comp="none"

bld() {
  echo "# $1"

  bin="pl3-$1"
  src="pl3-$1-src.tar.xz"
  dir="pl3-$1-src"

  $WGET "$URL/$src" -O "$src"
  rm -rf "$bin" "$dir"
  tar -Jxf "$src"
  cd "$dir"

  make check PL3_BIN=$bin PL3_COMP=$comp

  cd ..
  ln -s "$dir/$bin"
  comp="$bin"
}

for pkg in $pkgs ; do
  bld $pkg
done

exit 0
